Bug 211739 - [NEW PORT] cad/NASTRAN: NASA Structural Analysis System
Summary: [NEW PORT] cad/NASTRAN: NASA Structural Analysis System
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: feature, needs-patch, patch
Depends on:
Blocks:
 
Reported: 2016-08-10 19:47 UTC by Pedro F. Giffuni
Modified: 2018-03-12 22:27 UTC (History)
2 users (show)

See Also:
pfg: maintainer-feedback+


Attachments
cad/NASTRAN port as a diff file (38.97 KB, patch)
2016-08-10 19:47 UTC, Pedro F. Giffuni
no flags Details | Diff
cad/NASTRAN port (svn diff) (38.99 KB, patch)
2016-08-11 01:27 UTC, Pedro F. Giffuni
no flags Details | Diff
cad/NASTRAN port with cad/Makefile addition (39.30 KB, patch)
2016-08-11 15:54 UTC, Pedro F. Giffuni
koobs: maintainer-approval+
Details | Diff
stage log (296.08 KB, text/plain)
2016-08-11 15:55 UTC, Pedro F. Giffuni
no flags Details
check-plist log (236 bytes, text/plain)
2016-08-11 15:57 UTC, Pedro F. Giffuni
no flags Details
stage-qa log (496 bytes, text/plain)
2016-08-11 15:57 UTC, Pedro F. Giffuni
no flags Details
package log (47 bytes, text/plain)
2016-08-11 15:58 UTC, Pedro F. Giffuni
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni freebsd_committer 2016-08-10 19:47:55 UTC
Created attachment 173521 [details]
cad/NASTRAN port as a diff file

NASTRAN is the NASA Structural Analysis System, a finite element analysis program (FEA) completed in the early 1970's. It was the first of its kind and opened the door to computer-aided engineering.

The old source code has been released in 2001 under a copyleft NASA-specific license.

For reference, the Wikipedia keeps some description of this historical package:
https://en.wikipedia.org/wiki/Nastran

The port passes portlint and "make check-plist" and only depends on a fortran compiler.
Comment 1 Pedro F. Giffuni freebsd_committer 2016-08-11 01:27:07 UTC
Created attachment 173533 [details]
cad/NASTRAN port (svn diff)

On second thought; according to hier(7) libexec seems more appropriate for $NASTHOME. In any case end users will probably not notice.
Comment 2 Pedro F. Giffuni freebsd_committer 2016-08-11 01:28:28 UTC
Comment on attachment 173533 [details]
cad/NASTRAN port (svn diff)

Also available on:
https://people.freebsd.org/~pfg/ports/NASTRAN.tgz
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-11 15:11:13 UTC
In the absence of a poudriere QA test (highly preferred), the following can be used:

make stage && make check-plist && make stage-qa && make package

Also, can you please update the patch to include the relevant category/Makefile changes too.

Other than that, if you're satisfied with QA, and pending the change above, I can (ports) approve the commit
Comment 4 Pedro F. Giffuni freebsd_committer 2016-08-11 15:54:45 UTC
Created attachment 173551 [details]
cad/NASTRAN port with cad/Makefile addition

I had to use INSTALL_TARGET=install-strip to satisfy stage-qa.
Comment 5 Pedro F. Giffuni freebsd_committer 2016-08-11 15:55:42 UTC
Created attachment 173552 [details]
stage log
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-11 15:56:02 UTC
Good stuff. If/when you're happy, go ahead with commit
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-11 15:56:21 UTC
Comment on attachment 173551 [details]
cad/NASTRAN port with cad/Makefile addition

Ports approval
Comment 8 Pedro F. Giffuni freebsd_committer 2016-08-11 15:57:00 UTC
Created attachment 173553 [details]
check-plist log
Comment 9 Pedro F. Giffuni freebsd_committer 2016-08-11 15:57:41 UTC
Created attachment 173554 [details]
stage-qa log
Comment 10 Pedro F. Giffuni freebsd_committer 2016-08-11 15:58:55 UTC
Created attachment 173555 [details]
package log
Comment 11 Pedro F. Giffuni freebsd_committer 2016-08-11 16:12:15 UTC
(In reply to Kubilay Kocak from comment #7)
Can't commit:

Sending        cad/Makefile
Adding         cad/NASTRAN
Adding         cad/NASTRAN/Makefile
Adding         cad/NASTRAN/distinfo
Adding         cad/NASTRAN/files
Adding         cad/NASTRAN/files/NASTRAN95-license.txt
Adding         cad/NASTRAN/files/patch-bin_nastran
Adding         cad/NASTRAN/files/patch-sb_Makefile
Adding         cad/NASTRAN/files/patch-um_Makefile
Adding         cad/NASTRAN/pkg-descr
Adding         cad/NASTRAN/pkg-plist
Transmitting file data .........done
Committing transaction...
svn: E165001: Commit failed (details follow):
svn: E165001: Commit blocked by pre-commit hook (exit code 1) with output:
Path "head/cad/NASTRAN/files/NASTRAN95-license.txt" should have svn:keywords set to FreeBSD=%H
....

I had to convert the license from .doc to text so it would be readable by the package user. I think it should be remain untouched and not carry a $FreeBSD$ identifier. How is this fixed in subversion?
Comment 12 commit-hook freebsd_committer 2016-08-11 16:23:35 UTC
A commit references this bug:

Author: pfg
Date: Thu Aug 11 16:22:56 UTC 2016
New revision: 420085
URL: https://svnweb.freebsd.org/changeset/ports/420085

Log:
  New port: cad/NASTRAN - NASA's classic FEA program.

  NASTRAN is the NASA Structural Analysis System, a finite element analysis
  program (FEA) completed in the early 1970's. It was the first of its kind
  and opened the door to computer-aided engineering.

  For reference, the Wikipedia keeps some description of this historical
  package:
  https://en.wikipedia.org/wiki/Nastran

   PR:		 211739
  Approved by:	koobs

Changes:
  head/cad/Makefile
  head/cad/NASTRAN/
  head/cad/NASTRAN/Makefile
  head/cad/NASTRAN/distinfo
  head/cad/NASTRAN/files/
  head/cad/NASTRAN/files/NASTRAN95-license.txt
  head/cad/NASTRAN/files/patch-bin_nastran
  head/cad/NASTRAN/files/patch-sb_Makefile
  head/cad/NASTRAN/files/patch-um_Makefile
  head/cad/NASTRAN/pkg-descr
  head/cad/NASTRAN/pkg-plist
Comment 13 Pedro F. Giffuni freebsd_committer 2016-08-11 16:24:35 UTC
(In reply to Pedro F. Giffuni from comment #11)
Nevermind ... I figured it out :)

svn propset fbsd:nokeywords yes cad/NASTRAN/files/NASTRAN95-license.txt
Comment 14 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-11 16:25:39 UTC
@Pedro Are you using /usr/ports/Tools/scripts/psvn ? It handles all the properties stuff for you. Same arguments as svn

/usr/ports/Tools/scripts/psvn commit ...
Comment 15 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-11 16:26:10 UTC
Re-close, mid-air collision *shakes fist*
Comment 16 Pedro F. Giffuni freebsd_committer 2016-08-11 16:28:06 UTC
(In reply to Kubilay Kocak from comment #14)
No, I used the regular svn.

Good to know about psvn. Thanks!
Comment 17 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-11 16:30:35 UTC
My pleasure :)

Re-opening for the change to cad/Makefile (to match PORTNAME). I should have reviewed that first.

Please reference this issue in the subsequent commit as well.
Comment 18 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-11 16:36:09 UTC
@Pedro,

It may make more sense and be easier to rename the port (minus "-95"), than to 
svn mv the svn directory, as the latter will require a MOVED entry among other things:

https://www.freebsd.org/doc/en/books/porters-handbook/moved-and-updating-files.html

Thoughts?
Comment 19 commit-hook freebsd_committer 2016-08-11 16:39:38 UTC
A commit references this bug:

Author: pfg
Date: Thu Aug 11 16:39:30 UTC 2016
New revision: 420088
URL: https://svnweb.freebsd.org/changeset/ports/420088

Log:
  New port: cad/NASTRAN - NASA's classic FEA program.

  It's called NASTRAN-95, otherwise we cannot grab it from github "nicely".

  PR:		211739
  Approved by: 	koobs

Changes:
  head/cad/Makefile
  head/cad/NASTRAN/
  head/cad/NASTRAN-95/
Comment 20 Pedro F. Giffuni freebsd_committer 2016-08-11 16:48:37 UTC
(In reply to Kubilay Kocak from comment #18)
Ugh.. I missed this comment while making the move.
Sorry I am just not used to the ports way of doing things.

Renaming the ports requires playing with the github naming and
complicates the Makefile.

Since it all happened so fast perhaps the move was safe enough?
Comment 21 commit-hook freebsd_committer 2016-08-11 17:01:43 UTC
A commit references this bug:

Author: koobs
Date: Thu Aug 11 17:00:42 UTC 2016
New revision: 420091
URL: https://svnweb.freebsd.org/changeset/ports/420091

Log:
  MOVED: Add entry for NASTRAN -> NASTRAN-95 rename

  Chase the rename of NASTRAN to NASTRAN-95 in r211739

  PR:		211739
  On behalf of:	pfg (src)

Changes:
  head/MOVED
Comment 22 Walter Schwarzenfeld freebsd_triage 2018-01-14 05:09:28 UTC
Forgotten to close?